Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005232 [JEDI VCL] 04 Feature Request feature always 2010-05-03 15:11 2011-06-10 16:10
Reporter AS View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.38
Summary 0005232: Add new property to TJvHTLabel
Description It would be nice to add a property OnlyLeftMouseButtonProduceHyperlinkClick (with some shorter name :)

It could be used in MouseUp procedure:

...
{new line} if (not FOnlyLeftBtnClick) or (Button = mbLeft) then
if IsHyperLink(Canvas, R, Caption, X, Y, LinkName) then ...

At this moment I must create new class:

 TJvAsLabel = class(TJvHTLabel)
  private
    FOnlyLeftBtnClick: boolean;
    procedure SetOnlyLeftBtnClick(const Value: boolean);
  protected
    procedure MouseUp(Button: TMouseButton; Shift: TShiftState;
      X, Y: Integer); override;
  published
    property OnlyLeftBtnClick:boolean read FOnlyLeftBtnClick
     write SetOnlyLeftBtnClick default True;
  end;

implementation

{ TJvAsLabel }

procedure TJvAsLabel.MouseUp(Button: TMouseButton; Shift: TShiftState; X,
  Y: Integer);
begin
  if (not FOnlyLeftBtnClick) or (Button = mbLeft) then
  inherited MouseUp(Button,Shift,X,Y);
end;

procedure TJvAsLabel.SetOnlyLeftBtnClick(const Value: boolean);
begin
  FOnlyLeftBtnClick := Value;
end;
Additional Information
Tags JvHTLabel
Attached Files

- Relationships

-  Notes
(0017371)
obones (administrator)
2010-05-03 15:15

What is the exact purpose on this new property? What meaning do you get from its value?
(0017372)
AS (reporter)
2010-05-04 21:27

Clicking on hyperlink leads to handling hyperlink (ShellExecute & HyperLinkClick event) when ANY button is clicked. But IMHO in many cases it's disadvantageously, for example when I want just to use popups for links (like in web-browsers).
   
(sorry for my bad English)
(0017472)
AHUser (developer)
2010-06-07 19:29

Added new property "HyperLinkMouseButtons: set of TMouseButton default [mbLeft]" that controls on which mouse buttons the hyperlink is executed.

SVN revision 12800.

- Issue History
Date Modified Username Field Change
2010-05-03 15:11 AS New Issue
2010-05-03 15:15 AS Tag Attached: JvHTLabel
2010-05-03 15:15 obones Note Added: 0017371
2010-05-03 15:15 obones Status new => feedback
2010-05-04 21:27 AS Note Added: 0017372
2010-06-07 19:29 AHUser Note Added: 0017472
2010-06-07 19:29 AHUser Status feedback => resolved
2010-06-07 19:29 AHUser Fixed in Version => Daily / SVN
2010-06-07 19:29 AHUser Resolution open => fixed
2010-06-07 19:29 AHUser Assigned To => AHUser
2011-06-10 16:10 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker